On Mon, Sep 11, 2023 at 03:43:02PM +0200, Erik Skultety wrote:
These are common variables we wish to use in containerized
environments
both in GitLab and locally. Having these defined in a single place
rather than twice is highly preferable.
Signed-off-by: Erik Skultety <eskultet(a)redhat.com>
Erik Skultety <eskultet(a)redhat.com>:
A script went wrong here and other following patches. I'll assume you'll
fix it, so will ack stuff regardless
---
ci/build.sh | 12 +++++++++++-
1 file changed, 11 insertions(+), 1 deletion(-)
diff --git a/ci/build.sh b/ci/build.sh
index d5ed8ad104..5a9298c4b4 100644
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -2,7 +2,17 @@
cd "$CI_CONT_SRCDIR"
-export VIR_TEST_DEBUG=1
+export CCACHE_BASEDIR="$(pwd)"
+export CCACHE_DIR="$CCACHE_BASEDIR/ccache"
+export CCACHE_MAXSIZE="500M"
+export PATH="$CCACHE_WRAPPERSDIR:$PATH"
+
+# Enable these conditionally since their best use case is during
+# non-interactive workloads without having a Shell
+if ! [ -t 1 ]; then
+ export VIR_TEST_VERBOSE="1"
+ export VIR_TEST_DEBUG="1"
+fi
# $MESON_OPTS is an env that can optionally be set in the container,
# populated at build time from the Dockerfile. A typical use case would
Reviewed-by: Daniel P. Berrangé <berrange(a)redhat.com>
With regards,
Daniel
--
|:
https://berrange.com -o-
https://www.flickr.com/photos/dberrange :|
|:
https://libvirt.org -o-
https://fstop138.berrange.com :|
|:
https://entangle-photo.org -o-
https://www.instagram.com/dberrange :|